EndpointDetails (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class EndpointDetails

    java.lang.Object
      org.apache.cassandra.thrift.EndpointDetails

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EndpointDetails>, org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>

    public class EndpointDetails

extends java.lang.Object
implements org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `EndpointDetails._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.lang.String` | `datacenter`
`java.lang.String` | `host`
`static java.util.Map<EndpointDetails._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.lang.String` | `rack`

Constructor Summary
`EndpointDetails()`
`EndpointDetails(EndpointDetails other)` Performs a deep copy on other.
`EndpointDetails(java.lang.String host, java.lang.String datacenter)`

Method Summary
`void` | `clear()`
`int` | `compareTo(EndpointDetails other)`
`EndpointDetails` | `deepCopy()`
`boolean` | `equals(EndpointDetails that)`
`boolean` | `equals(java.lang.Object that)`
`EndpointDetails._Fields` | `fieldForId(int fieldId)`
`java.lang.String` | `getDatacenter()`
`java.lang.Object` | `getFieldValue(EndpointDetails._Fields field)`
`java.lang.String` | `getHost()`
`java.lang.String` | `getRack()`
`int` | `hashCode()`
`boolean` | `isSet(EndpointDetails._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetDatacenter()` Returns true if field datacenter is set (has been assigned a value) and false otherwise
`boolean` | `isSetHost()` Returns true if field host is set (has been assigned a value) and false otherwise
`boolean` | `isSetRack()` Returns true if field rack is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`EndpointDetails` | `setDatacenter(java.lang.String datacenter)`
`void` | `setDatacenterIsSet(boolean value)`
`void` | `setFieldValue(EndpointDetails._Fields field, java.lang.Object value)`
`EndpointDetails` | `setHost(java.lang.String host)`
`void` | `setHostIsSet(boolean value)`
`EndpointDetails` | `setRack(java.lang.String rack)`
`void` | `setRackIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetDatacenter()`
`void` | `unsetHost()`
`void` | `unsetRack()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### host

    public java.lang.String host

### datacenter

    public java.lang.String datacenter

### rack

    public java.lang.String rack

### metaDataMap

    public static final java.util.Map<EndpointDetails._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### EndpointDetails

    public EndpointDetails()

### EndpointDetails

    public EndpointDetails(java.lang.String host,
                           java.lang.String datacenter)

### EndpointDetails

    public EndpointDetails(EndpointDetails other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public EndpointDetails deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### getHost

    public java.lang.String getHost()

### setHost

    public EndpointDetails setHost(java.lang.String host)

### unsetHost

    public void unsetHost()

### isSetHost

    public boolean isSetHost()

  Returns true if field host is set (has been assigned a value) and false otherwise

### setHostIsSet

    public void setHostIsSet(boolean value)

### getDatacenter

    public java.lang.String getDatacenter()

### setDatacenter

    public EndpointDetails setDatacenter(java.lang.String datacenter)

### unsetDatacenter

    public void unsetDatacenter()

### isSetDatacenter

    public boolean isSetDatacenter()

  Returns true if field datacenter is set (has been assigned a value) and false otherwise

### setDatacenterIsSet

    public void setDatacenterIsSet(boolean value)

### getRack

    public java.lang.String getRack()

### setRack

    public EndpointDetails setRack(java.lang.String rack)

### unsetRack

    public void unsetRack()

### isSetRack

    public boolean isSetRack()

  Returns true if field rack is set (has been assigned a value) and false otherwise

### setRackIsSet

    public void setRackIsSet(boolean value)

### setFieldValue

    public void setFieldValue(EndpointDetails._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(EndpointDetails._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### isSet

    public boolean isSet(EndpointDetails._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(EndpointDetails that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(EndpointDetails other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<EndpointDetails>`

### fieldForId

    public EndpointDetails._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<EndpointDetails,EndpointDetails._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation